<?php if (isset($component)) { $__componentOriginalbacdc7ee2ae68d90ee6340a54a5e36f99d0a3040 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\AdminLayout::class, []); ?>
<?php $component->withName('admin-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>

    <main class="main-content w-full px-[var(--margin-x)] pb-8">
        <div class="mt-4 grid grid-cols-1 gap-4 sm:mt-5 sm:gap-5 lg:mt-6 lg:gap-6">
            <div class="col-span-12 lg:col-span-8">
                <?php if(session('status-alert')): ?>
                    <div class="alert flex rounded-lg bg-error px-4 py-4 text-white sm:px-5 sess_msg">
                        <?php echo e(session('status-alert')); ?>

                    </div>
                <?php elseif(session('status-success')): ?>
                    <div class="alert flex rounded-lg bg-success px-4 py-4 text-white sm:px-5 mb-3 sess_msg">
                        <?php echo e(session('status-success')); ?>

                    </div>
                <?php else: ?>
                <?php endif; ?>
                <div class="card">
                    <div
                        class="flex flex-col items-center space-y-4 border-b border-slate-200 p-4 dark:border-navy-500 sm:flex-row sm:justify-between sm:space-y-0 sm:px-5">
                        <h2 class="text-lg font-medium tracking-wide text-slate-700 dark:text-navy-100">
                            Edit Offers
                        </h2>
                        <div class="flex justify-center space-x-2">
                            <a href="<?php echo e(url('/admin/offers')); ?>"
                                class="btn min-w-[7rem] rounded-full border border-slate-300 font-medium text-slate-700 hover:bg-slate-150 focus:bg-slate-150 active:bg-slate-150/80 dark:border-navy-450 dark:text-navy-100 dark:hover:bg-navy-500 dark:focus:bg-navy-500 dark:active:bg-navy-500/90">
                                Cancel
                            </a>
                            <button
                                class="btn min-w-[7rem] rounded-full bg-primary font-medium text-white hover:bg-primary-focus focus:bg-primary-focus active:bg-primary-focus/90 dark:bg-accent dark:hover:bg-accent-focus dark:focus:bg-accent-focus dark:active:bg-accent/90"
                                form="myform" type="submit">
                                Save
                            </button>
                        </div>
                    </div>
                    <div class="p-4 sm:p-5">
                        <div class="flex flex-col">
                            <div class="avatar h-24 w-24">
                                <img class="rounded-lg" src="<?php echo e($offerwalls_data->image); ?>" alt="avatar"
                                    style="background: <?php echo e($offerwalls_data->color); ?>;" />
                            </div>
                        </div>
                        <div class="my-7 h-px bg-slate-200 dark:bg-navy-500"></div>
                        <form method="POST" action="" id="myform" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PUT'); ?>
                            <div class="grid grid-cols-1 gap-4 sm:grid-cols-2">
                                <label class="block">
                                    <span>Title </span>
                                    <span class="relative mt-1.5 flex">
                                        <input
                                            class="form-input peer w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 pl-9 placeholder:text-slate-400/70 hover:border-slate-400 focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                            placeholder="Title" type="text" name="title"
                                            value="<?php echo e($offerwalls_data->title); ?>" required>
                                        <span
                                            class="pointer-events-none absolute flex h-full w-10 items-center justify-center text-slate-400 peer-focus:text-primary dark:text-navy-300 dark:peer-focus:text-accent">
                                            <i class="fa-solid fa-pen"></i>
                                        </span>
                                    </span>
                                </label>
                                <label class="block">
                                    <span>Image Url</span>
                                    <span class="relative mt-1.5 flex">
                                        <input
                                            class="form-input peer w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 pl-9 placeholder:text-slate-400/70 hover:border-slate-400 focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                            placeholder="" type="text" name="image"
                                            value="<?php echo e($offerwalls_data->image); ?>" required>
                                        <span
                                            class="pointer-events-none absolute flex h-full w-10 items-center justify-center text-slate-400 peer-focus:text-primary dark:text-navy-300 dark:peer-focus:text-accent">
                                            <i class="fa-solid fa-pen"></i>
                                        </span>
                                    </span>
                                </label>
                                <label class="block">
                                    <span>Color</span>
                                    <span class="relative mt-1.5 flex" style="gap:6px;align-items:center;">

                                        <input type="color" name="color" id="colorpicker"
                                            value="<?php echo e($offerwalls_data->color); ?>" class="w-full"
                                            style="background:<?php echo e($offerwalls_data->color); ?>;padding: 6px;border-radius: 5px;"
                                            required>

                                    </span>
                                </label>
                                <label class="block">
                                    <span>Offer Url <a style="cursor:pointer;" class=" font-medium text-slate-800"
                                            x-tooltip.on.mouseenter="'put this ( USERID ) text in your offer url userid variable example:- https://wall.adgaterewards.com/xxxxx/USERID '">
                                            <i class="fa-solid fa-circle-info"></i>
                                        </a>
                                    </span>
                                    <span class="relative mt-1.5 flex">
                                        <input
                                            class="form-input peer w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 pl-9 placeholder:text-slate-400/70 hover:border-slate-400 focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                            placeholder="offer-url" type="text" name="slug"
                                            value="<?php echo e($offerwalls_data->slug); ?>" required>
                                        <span
                                            class="pointer-events-none absolute flex h-full w-10 items-center justify-center text-slate-400 peer-focus:text-primary dark:text-navy-300 dark:peer-focus:text-accent">
                                            <i class="fa-solid fa-pen"></i>
                                        </span>
                                    </span>
                                </label>

                                <label class="block">
                                    <span>Type</span>
                                    <select name="type"
                                        class="form-select mt-1.5 w-full rounded-lg border border-slate-300 bg-layot-dark_csm px-3 py-2 hover:border-slate-400 focus:border-primary dark:border-navy-450 dark:bg-navy-700 dark:hover:border-navy-400 dark:focus:border-accent">
                                        <?php if($offerwalls_data->type == 1): ?>
                                        <option value="1">Survey</option>
                                        <option value="0">Offerwall</option>
                                        <?php else: ?>
                                        <option value="0">Offerwall</option>
                                        <option value="1">Survey</option>
                                        <?php endif; ?>
                                    </select>
                                </label>

                                <label class="block">
                                    <span>Ratings</span>
                                    <select name="rate"
                                        class="form-select mt-1.5 w-full rounded-lg border border-slate-300 bg-layot-dark_csm px-3 py-2 hover:border-slate-400 focus:border-primary dark:border-navy-450 dark:bg-navy-700 dark:hover:border-navy-400 dark:focus:border-accent">
                                        <?php if($offerwalls_data->rate == '1'): ?>
                                        <option value="1">1 Star</option>
                                        <option value="2">2 Star</option>
                                        <option value="3">3 Star</option>
                                        <option value="4">4 Star</option>
                                        <option value="5">5 Star</option>
                                        <?php elseif($offerwalls_data->rate == '2'): ?>
                                        <option value="2">2 Star</option>
                                        <option value="3">3 Star</option>
                                        <option value="4">4 Star</option>
                                        <option value="5">5 Star</option>
                                        <option value="1">1 Star</option>
                                        <?php elseif($offerwalls_data->rate == '3'): ?>
                                        <option value="3">3 Star</option>
                                        <option value="4">4 Star</option>
                                        <option value="5">5 Star</option>
                                        <option value="1">1 Star</option>
                                        <option value="2">2 Star</option>
                                        <?php elseif($offerwalls_data->rate == '4'): ?>
                                        <option value="4">4 Star</option>
                                        <option value="5">5 Star</option>
                                        <option value="1">1 Star</option>
                                        <option value="2">2 Star</option>
                                        <option value="3">3 Star</option>
                                        <?php elseif($offerwalls_data->rate == '5'): ?>
                                        <option value="5">5 Star</option>
                                        <option value="1">1 Star</option>
                                        <option value="2">2 Star</option>
                                        <option value="3">3 Star</option>
                                        <option value="4">4 Star</option>
                                        <?php else: ?>
                                        <?php endif; ?>
                                    </select>
                                </label>

                                <label class="block">
                                    <span>Discount (%)</span>
                                    <span class="relative mt-1.5 flex">
                                        <input class="form-input peer w-full rounded-lg border border-slate-300 bg-transparent px-3 py-2 pl-9 placeholder:text-slate-400/70
                                            hover:border-slate-400 focus:border-primary dark:border-navy-450 dark:hover:border-navy-400 dark:focus:border-accent"
                                            placeholder="+0%" type="text" name="offer_dis"
                                            value="<?php echo e($offerwalls_data->offer ?? '+0%'); ?>" required>
                                        <span
                                            class="pointer-events-none absolute flex h-full w-10 items-center justify-center text-slate-400 peer-focus:text-primary dark:text-navy-300 dark:peer-focus:text-accent">
                                            <i class="fa-solid fa-percent"></i>
                                        </span>
                                    </span>
                                </label>

                            </div>

                        </form>
                        <div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </main>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalbacdc7ee2ae68d90ee6340a54a5e36f99d0a3040)): ?>
<?php $component = $__componentOriginalbacdc7ee2ae68d90ee6340a54a5e36f99d0a3040; ?>
<?php unset($__componentOriginalbacdc7ee2ae68d90ee6340a54a5e36f99d0a3040); ?>
<?php endif; ?>
<?php /**PATH E:\Clients\offercash_web_sell\project\resources\views/admin/edit_offers.blade.php ENDPATH**/ ?>